## org.hibernate.sql.ordering.antlr
Class OrderByFragmentTranslator

    java.lang.Object
      org.hibernate.sql.ordering.antlr.OrderByFragmentTranslator

    public class OrderByFragmentTranslator

extends Object

A translator which coordinates translation of an `order-by` mapping.

Field Summary
`TranslationContext` `context`

Constructor Summary
`OrderByFragmentTranslator(TranslationContext context)`

Method Summary
`String` `render(String fragment)` The main contract, performing the transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    public final TranslationContext context

Constructor Detail

### OrderByFragmentTranslator

    public OrderByFragmentTranslator(TranslationContext context)

Method Detail

### render

    public String render(String fragment)

  The main contract, performing the transaction.

  Parameters:
    `fragment` - The `order-by` mapping fragment to be translated.
  Returns:
    The translated fragment.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.